<script>
  let currentPage = "";
</script>

<nav class="bg-gray-800">
    <div class="px-6">
      <div class="relative flex items-center justify-between h-16">
        <div class="flex-1 flex items-stretch justify-start" >
          <a class="flex-shrink-0 flex items-center cursor-pointer" href="/">
            <svg class="h-8 w-auto" viewBox="0 0 256 249" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid"><path d="M142.077 191.087c0 31.806-25.782 57.592-57.588 57.592-31.81 0-57.593-25.786-57.593-57.592 0-31.806 25.782-57.592 57.593-57.592 31.806 0 57.588 25.786 57.588 57.592" fill="#F60"/><path d="M255.98 110.459c0 31.802-25.782 57.592-57.588 57.592-31.81 0-57.592-25.79-57.592-57.592 0-31.807 25.781-57.597 57.592-57.597 31.806 0 57.588 25.79 57.588 57.597" fill="#FC0"/><path d="M115.2 109.18c0 31.803-25.781 57.593-57.592 57.593-31.802 0-57.588-25.79-57.588-57.592 0-31.806 25.786-57.597 57.588-57.597 31.81 0 57.592 25.79 57.592 57.597" fill="#0089CC"/><path d="M230.386 191.087c0 31.806-25.782 57.592-57.597 57.592-31.802 0-57.588-25.786-57.588-57.592 0-31.806 25.786-57.592 57.588-57.592 31.815 0 57.597 25.786 57.597 57.592" fill="#009939"/><path d="M185.592 57.984c0 31.806-25.786 57.593-57.592 57.593-31.806 0-57.592-25.787-57.592-57.593C70.408 26.178 96.194.392 128 .392c31.806 0 57.592 25.786 57.592 57.592" fill="#BF0000"/><path d="M140.799 110.459c0 1.211.105 2.397.181 3.592 25.546-5.893 44.61-28.733 44.61-56.068 0-1.212-.105-2.402-.18-3.597-25.546 5.898-44.611 28.737-44.611 56.073" fill="#FC0007"/><path d="M148.397 138.976c9.925 17.35 28.576 29.074 49.997 29.074 8.73 0 16.976-2 24.393-5.48-9.92-17.35-28.572-29.074-49.997-29.074-8.73 0-16.976 2.001-24.393 5.48" fill="#1CD306"/><path d="M115.2 191.087c0 14.07 5.058 26.947 13.442 36.948 8.376-10.001 13.434-22.877 13.434-36.948 0-14.071-5.058-26.947-13.434-36.948-8.384 10-13.442 22.877-13.442 36.948" fill="#0F7504"/><path d="M34.807 162.057a57.324 57.324 0 0 0 22.801 4.715c21.21 0 39.688-11.495 49.685-28.563a57.336 57.336 0 0 0-22.801-4.712c-21.21 0-39.692 11.496-49.685 28.56" fill="#0C5E87"/><path d="M70.655 53.126c-.136 1.604-.25 3.217-.25 4.859 0 27.314 19.036 50.132 44.552 56.051.13-1.604.245-3.217.245-4.855 0-27.314-19.032-50.14-44.547-56.055" fill="#6B0001"/><path d="M76.03 183.96h-9.009c-7.953 0-14.42-6.446-14.42-14.378V88.036c0-7.933 6.467-14.384 14.42-14.384H179.99c7.954 0 14.417 6.451 14.417 14.384v81.546c0 7.932-6.463 14.379-14.417 14.379h-38.484L64.29 221.812l11.74-37.851z" fill="#FFF"/></svg>            <!-- <img class="hidden lg:block h-8 w-auto" src="https://tailwindui.com/img/logos/workflow-logo-indigo-500-mark-white-text.svg" alt="Workflow"> -->
            <p class="text-white px-2 font-sans text-xl">WebRTC-Lab</p>
          </a>
          <div class="block ml-6">
            <div class="flex space-x-4">
              <!-- Current: "bg-gray-900 text-white", Default: "text-gray-300 hover:bg-gray-700 hover:text-white" -->
              {#if currentPage == "pure-rtc"}
                <a href="/pure-rtc" on:click="{() => currentPage = "pure-rtc"}" class="bg-gray-900 text-white px-3 py-2 rounded-md text-sm font-medium" aria-current="page">PureRTC</a>
              {:else}
                <a href="/pure-rtc" on:click="{() => currentPage = "pure-rtc"}" class="text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium" aria-current="page">PureRTC</a>
              {/if}

              {#if currentPage == "video-2-way"}
                <a href="/video-2-way" on:click="{() => currentPage = "video-2-way"}" class="bg-gray-900 text-white px-3 py-2 rounded-md text-sm font-medium" aria-current="page">Video2Way</a>
              {:else}
                <a href="/video-2-way" on:click="{() => currentPage = "video-2-way"}" class="text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium" aria-current="page">Video2Way</a>
              {/if}
              
              {#if currentPage == "video-subscriber"}
                <a href="/video-subscriber" on:click="{() => currentPage = "video-subscriber"}" class="bg-gray-900 text-white px-3 py-2 rounded-md text-sm font-medium" aria-current="page">VideoSubscriber</a>
              {:else}
                <a href="/video-subscriber" on:click="{() => currentPage = "video-subscriber"}" class="text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium" aria-current="page">VideoSubscriber</a>
              {/if}

              {#if currentPage == "audio-2-way"}
                <a href="/audio-2-way" on:click="{() => currentPage = "audio-2-way"}" class="bg-gray-900 text-white px-3 py-2 rounded-md text-sm font-medium" aria-current="page">Audio2Way</a>
              {:else}
                <a href="/audio-2-way" on:click="{() => currentPage = "audio-2-way"}" class="text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium" aria-current="page">Audio2Way</a>
              {/if}

              {#if currentPage == "audio-subscriber"}
                <a href="/audio-subscriber" on:click="{() => currentPage = "audio-subscriber"}" class="bg-gray-900 text-white px-3 py-2 rounded-md text-sm font-medium" aria-current="page">AudioSubscriber</a>
              {:else}
                <a href="/audio-subscriber" on:click="{() => currentPage = "audio-subscriber"}" class="text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium" aria-current="page">AudioSubscriber</a>
              {/if}
            </div>
          </div>
        </div>
        
      </div>
    </div>
  

  </nav>